Package com.usatiuk.objects.stores

# Class CachingObjectPersistentStore

java.lang.Object
com.usatiuk.objects.stores.CachingObjectPersistentStore

@ApplicationScoped public class CachingObjectPersistentStore extends Object

## Constructor Summary

Constructors
Constructor
Description
`CachingObjectPersistentStore(int sizeLimit)`

## Method Summary

Modifier and Type
Method
Description
`void`
`commitTx(TxManifestObj<? extends JDataVersionedWrapper> objs, long txId)`
`Snapshot<JObjectKey,JDataVersionedWrapper>`
`getSnapshot()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CachingObjectPersistentStore

public CachingObjectPersistentStore(int sizeLimit)

## Method Details

### commitTx

public void commitTx(TxManifestObj<? extends JDataVersionedWrapper> objs, long txId)

### getSnapshot

public Snapshot<JObjectKey,JDataVersionedWrapper> getSnapshot()